こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

オラクル9iのインストーラーが動きません

NT4.0 sp6,IE6 sp1, のパソコンにオラクル9iのクライアントをインストールしたいのですが、インストーラーが起動しません。

同じ環境なのにインストーラーが動く他のパソコンがあるので調べてみたらコンパネに「java plugin1.3.1」というものが入っていました。これがないせいか?と思って最新版の1.5.0のインストールを試みたのですが、インストーラーは正常終了するものの、ちゃんと入っていないようなのです。(Pluginコントロールパネルが開かない)
これがNTに対応していないせいなのかもしれませんが・・・

このパソコンにオラクル9iのクライアントがインストールできないのはjavaPluginのせいなのでしょうか?
そうならばplugin1.5.0のインストール方法はあるのでしょうか?
それとも、javaPluginは全く関係ないのでしょうか?
質問が多くて申し訳ありませんが、目指したいところはオラクル9iのクライアントのインストールです。
よろしくお願いします。

投稿日時 - 2005-10-31 19:48:07

QNo.1748196

暇なときに回答ください

質問者が選んだベストアンサー

あまりこういう情報は出してはいけないのですが・・・

ドライブのルートディレクトリに setup.exe を配置していると OUI が起動しないという不具合があるようです。

あと、runInstaller は UNIX の話で Windows では setup.exe でした。すみません。

あと、JDK 1.3 も 1.5 もダメということですが、1.4.2 は試されてみましたか?(リリースノートを見てからやって下さいね。私は確認していませんので・・・)

投稿日時 - 2005-11-01 09:16:00

お礼

インストールCDをローカルにコピーしてみたり、1.4.2をいれてみたり色々やってみたのですが、やはりうまくいかず・・・
ネットで検索しまくっていたら気になる情報を得ることができ、自己解決致しました。

その経緯は・・・
OUI等のjavaを使用したツールは画面の色数が 256 色以上でないと正常に起動しないらしいです。私も256色に変更したところ、JREのインストールがあっさりとでき、オラクルのインストーラーも動いたのでした。

あまり出してはいけない情報などなど、回答して頂きどうもありがとうございました。今回のことは大変勉強になりました。

投稿日時 - 2005-11-01 19:40:13

ANo.3

このQ&Aは役に立ちましたか?

4人が「このQ&Aが役に立った」と投票しています

回答(3)

ANo.2

JRE は OUI に付属しているはずなのでわざわざインストールする必要はないのでは・・・。

インストールしても問題ないでしょうが、恐らくインストールした JDK を OUI に使ってもらえないように思います。

runInstaller を起動してうまくいかないならコマンドラインに何かエラーが出力されるかもしれません。

DOS 窓から実行されてみてはいかがでしょうか。

投稿日時 - 2005-10-31 21:03:33

補足

回答ありがとうございます。

コマンドプロンプトから実行しましたが、10秒くらい砂時計が出るだけで終わってしまいました。

で、一つ気付いたのですが、C:\TEMPにsetup.exeを起動した回数分だけフォルダが出来てます。
(OraInstall2005-10-31何時何分…みたいな)
その中に oui\install\win32\setup.exeというのがあったので、手動で起動したら
「The java Runtime Envionment was not found at bin\javaw.exe. Hence,the Olacle Universal Installer cannnot be run. Please visit http://javasoft.com and install JRE version 1.3.1 or higher and try again」と出ました。
手動でも1.3.1をインストール出来ないんだから、オラクルも入らない、ということなんでしょうか。

投稿日時 - 2005-10-31 21:37:54

ANo.1

Java1.5はWindowsNTでは動作しません。
NTの場合、いくつのバージョンが動くか忘れましたが、少なくとも1.3.1は動いているので、そのバージョンをインストールするのが良いでしょう。

投稿日時 - 2005-10-31 20:05:47

お礼

Java 2 Standard Edition, v 1.3.1_16 というのをダウンロードしてきてインストールしましたが、やはり同じくきちんとインストールできていないようです。(コンパネで開けないので)
ちなみにオラクルのインストーラーが動くパソコンのPlugInは1.3.1_09になっています。
でもjavaのホームページに1.3.1_09が見つからないのです・・・
回答ありがとうございました。

投稿日時 - 2005-10-31 21:18:19

あなたにオススメの質問